<?php 

include_once('../conexao.php');

$postjson = json_decode(file_get_contents('php://input'), true);

$limite = (isset($_GET['limite'])) ? $_GET['limite'] : 5; 
$pagina = (isset($_GET['pagina'])) ? $_GET['pagina'] : 1; 

$inicio = ($limite * $pagina) - $limite;

$usuario = @$_GET['user'];


$query = $pdo->query("SELECT * FROM usuarios where id = '$usuario'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$nivel = $res[0]['nivel'];
if($nivel == 'Corretor'){
    $usuario = '%'.$usuario.'%';
}else{
    $usuario = '%%';
}


$query = $pdo->prepare("SELECT * FROM imoveis where corretor LIKE '$usuario' ORDER BY id DESC LIMIT $inicio, $limite");

$query->execute();

$res = $query->fetchAll(PDO::FETCH_ASSOC);


for ($i=0; $i < count($res); $i++) { 


        $id = $res[$i]['id'];
        $dono = $res[$i]['dono'];
        $corretor = $res[$i]['corretor'];
        $titulo = $res[$i]['titulo'];
        $descricao = $res[$i]['descricao'];
        $tipo = $res[$i]['tipo'];
        $cidade = $res[$i]['cidade'];
        $bairro = $res[$i]['bairro'];
        $valor = $res[$i]['valor'];
        $ano = $res[$i]['ano'];
        $visitas = $res[$i]['visitas'];
        $area_total = $res[$i]['area_total'];
        $area_construida = $res[$i]['area_construida'];
        $quartos = $res[$i]['quartos'];
        $banheiros = $res[$i]['banheiros'];
        $suites = $res[$i]['suites'];
        $garagens = $res[$i]['garagens'];
        $piscinas = $res[$i]['piscinas'];
        $img_principal = $res[$i]['img_principal'];
        $img_planta = $res[$i]['img_planta'];
        $img_banner = $res[$i]['img_banner'];
        $endereco = $res[$i]['endereco'];
        $status = $res[$i]['status'];
        $condicao = $res[$i]['condicao'];
        $video = $res[$i]['video'];
        $iptu = $res[$i]['iptu'];
        $condominio = $res[$i]['condominio'];
        $comissao_imob = $res[$i]['comissao_imob'];
        $comissao_corretor = $res[$i]['comissao_corretor'];
        $url = $res[$i]['url'];
        $data_cad = $res[$i]['data_cad'];
        $validade_anuncio = $res[$i]['validade_anuncio'];
        $data_inicio = $res[$i]['data_inicio'];
        $data_final = $res[$i]['data_final'];
        $financiamento = $res[$i]['financiamento'];
        $numero_vaga = $res[$i]['numero_vaga'];
        $chave = $res[$i]['chave'];
        $complemento = $res[$i]['complemento'];
        $condicao_pgto = $res[$i]['condicao_pgto'];

        $data_cadF = implode('/', array_reverse(explode('-', $data_cad)));
        $data_inicioF = implode('/', array_reverse(explode('-', $data_inicio)));
        $data_finalF = implode('/', array_reverse(explode('-', $data_final)));
        $valorF = number_format($valor, 2, ',', '.');
        $iptuF = number_format($iptu, 2, ',', '.');
        $condominioF = number_format($condominio, 2, ',', '.');
        $tituloF = mb_strimwidth($titulo, 0, 40, "...");

        $query2 = $pdo->query("SELECT * FROM vendedores where id = '$dono'");
        $res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
        if(@count($res2) > 0){
            $nome_dono = $res2[0]['nome'];
            $doc_dono = $res2[0]['doc'];
            $email_dono = $res2[0]['email'];
            $tel_dono = $res2[0]['telefone'];
        }else{
            $nome_dono = 'Sem Registro';
        }

        $query2 = $pdo->query("SELECT * FROM usuarios where id = '$corretor'");
        $res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
        if(@count($res2) > 0){
            $nome_corretor = $res2[0]['nome'];
        }else{
            $nome_corretor = 'Sem Registro';
        }


        $query2 = $pdo->query("SELECT * FROM tipos where id = '$tipo'");
        $res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
        if(@count($res2) > 0){
            $nome_tipo = $res2[0]['nome'];
        }else{
            $nome_tipo = 'Sem Registro';
        }


        $query2 = $pdo->query("SELECT * FROM cidades where id = '$cidade'");
        $res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
        if(@count($res2) > 0){
            $nome_cidade = $res2[0]['nome'];
        }else{
            $nome_cidade = 'Sem Registro';
        }

        $query2 = $pdo->query("SELECT * FROM bairros where id = '$bairro'");
        $res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
        if(@count($res2) > 0){
            $nome_bairro = $res2[0]['nome'];
        }else{
            $nome_bairro = 'Sem Registro';
        }

    $dados[] = array(
        'id' => $id,
        'dono' => $nome_dono,
        'corretor' => $nome_corretor,
        'tituloF' => $tituloF,
        'titulo' => $titulo,
        'descricao' => $descricao,
        'tipo' => $nome_tipo,
        'cidade' => $nome_cidade,
        'bairro' => $nome_bairro,
        'valor' => $valorF,
        'ano' => $ano,
        'visitas' => $visitas,
        'area_total' => $area_total,
        'area_construida' => $area_construida,
        'quartos' => $quartos,
        'banheiros' => $banheiros,
        'suites' => $suites,
        'garagens' => $garagens,
        'piscinas' => $piscinas,
        'img_principal' => $img_principal,
        'img_planta' => $img_planta,
        'img_banner' => $img_banner,
        'endereco' => $endereco,
        'status' => $status,
         'condicao' => $condicao,
        'video' => $video,
         'iptu' => $iptu,
        'condominio' => $condominio,
         'comissao_corretor' => $comissao_corretor,
        'comissao_imob' => $comissao_imob,
         'url' => $url,
        'data_cad' => $data_cadF,
        'validade_anuncio' => $validade_anuncio,
        'data_inicio' => $data_inicioF,
        'data_final' => $data_finalF,
        'financiamento' => $financiamento,
        'numero_vaga' => $numero_vaga,
        'chave' => $chave,
        'complemento' => $complemento,
        'condicao_pgto' => $condicao_pgto,
        
    );

}


if(count($res) > 0){
    $result = json_encode(array('success'=>true, 'resultado'=>@$dados, 'totalItems'=>@count($dados) + ($inicio)));
}else{
    $result = json_encode(array('success'=>false, 'resultado'=>'0'));
}

echo $result;

?>